umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - o -

- object() : Uml::CmdBaseObjectCommand, UMLRole
- OBJECT_METHOD_INIT : CppWriter
- ObjectFieldVariables : CppWriter, TclWriter
- objectModified() : RefactoringAssistant
- ObjectNodeDialog() : ObjectNodeDialog
- ObjectNodeType : ObjectNodeWidget
- objectNodeType() : ObjectNodeWidget
- ObjectNodeWidget() : ObjectNodeWidget
- ObjectsModel() : ObjectsModel, UMLObject
- objectsModel() : UMLDoc
- ObjectsWindow() : ObjectsWindow
- objectsWindow : UMLAppPrivate
- ObjectType : UMLObject
- ObjectWidget() : ObjectWidget
- objectWidget() : MessageWidget, PreconditionWidget
- Ok : CodeGenerationPolicy, SinglePageDialogBase
- okClicked() : MultiPageDialogBase
- OldToolMap : WorkToolBar
- onAssocClassLine() : AssociationWidget
- onAssociation() : AssociationWidget
- onDeleteL : UMLForeignKeyConstraintDialog::GeneralWidgets
- onDestructionBox() : SeqLineWidget
- onInit() : Umbrello::Plugin
- onLine() : FloatingDashLineWidget
- onShutdown() : Umbrello::Plugin
- onUpdateL : UMLForeignKeyConstraintDialog::GeneralWidgets
- onWidget() : AssociationWidget, AssociationWidgetRole, ClassifierWidget, FloatingTextWidget, MessageWidget, PinPortBase, SeqLineWidget, WidgetBase
- onWidgetDestructionBox() : UMLScene
- onWidgetLine() : UMLScene
- OP : SelectOperationDialog, SelectOperationPage
- OpenArrow : Symbol
- openDocument() : UMLDoc
- openDocumentFile() : UMLApp
- openFile() : CodeGenerator
- openFileInEditor() : UMLAppPrivate
- operation() : AssociationWidget, LinkWidget, MessageWidget
- operationAdded() : RefactoringAssistant, UMLClassifier
- operationOwner() : AssociationWidget, LinkWidget, MessageWidget
- operationRemoved() : RefactoringAssistant, UMLClassifier
- Operations : UMLFinder
- operations() : UMLClassifier
- operationsBlock : DClassifierCodeDocument, JavaClassifierCodeDocument, RubyClassifierCodeDocument
- operationSignature() : ClassifierWidget
- OperationsReader() : Import_Rose::OperationsReader
- operationText() : LinkWidget
- operator!=() : AssociationWidget
- operator%() : comments_class_operators_test
- operator&&() : comments_class_operators_test
- operator*() : comments_class_operators_test
- operator+() : comments_class_operators_test
- operator+=() : IDChangeLog
- operator-() : comments_class_operators_test
- operator/() : comments_class_operators_test
- operator<< : CodeBlock, CodeDocument, DotGenerator, LayoutGenerator, PetalNode, TextBlock, UMLFolder, UMLListView, UMLObject
- operator=() : CppTree2Uml, DiagramProxyWidget, IDChangeLog, UMLWidget, WidgetBase
- operator==() : AssociationWidget, IDChangeLog, UMLAssociation, UMLAttribute, UMLCanvasObject, UMLCheckConstraint, UMLEntity, UMLEntityAttribute, UMLEntityConstraint, UMLEnum, UMLEnumLiteral, UMLForeignKeyConstraint, UMLObject, UMLOperation, UMLRole, UMLStereotype, UMLTemplate, UMLUniqueConstraint, UMLWidget
- operator|() : comments_class_operators_test
- operator||() : comments_class_operators_test
- Opt : CombinedFragmentWidget
- optimizeLinePoints() : AssociationLine
- OptionsPage : CodeGenerationWizard
- OptionState() : Settings::OptionState
- optionState() : UMLScene
- orientation : ForkJoinWidget
- origin() : LayoutGenerator
- originType() : UMLDatatype
- ot_Actor : UMLObject
- ot_Artifact : UMLObject
- ot_Association : UMLObject
- ot_Attribute : UMLObject
- ot_Category : UMLObject
- ot_CheckConstraint : UMLObject
- ot_Class : UMLObject
- ot_Component : UMLObject
- ot_Datatype : UMLObject
- ot_Entity : UMLObject
- ot_EntityAttribute : UMLObject
- ot_EntityConstraint : UMLObject
- ot_Enum : UMLObject
- ot_EnumLiteral : UMLObject
- ot_Folder : UMLObject
- ot_ForeignKeyConstraint : UMLObject
- ot_Instance : UMLObject
- ot_InstanceAttribute : UMLObject
- ot_Interface : UMLObject
- ot_Node : UMLObject
- ot_Operation : UMLObject
- ot_Package : UMLObject
- ot_Port : UMLObject
- ot_Role : UMLObject
- ot_Stereotype : UMLObject
- ot_SubSystem : UMLObject
- ot_Template : UMLObject
- ot_UMLObject : UMLObject
- ot_UniqueConstraint : UMLObject
- ot_Unknown : UMLObject
- ot_UseCase : UMLObject
- outputDirectory : Settings::CodeGenerationState
- overwritableName() : CodeGenerator, SimpleCodeGenerator
- OverwriteDialog() : OverwriteDialog
- OverwritePolicy : CodeGenerationPolicy
- overwritePolicy : Settings::CodeGenerationState
- overwriteToWidget() : CodeGenOptionsPage
- OwnedCodeBlock() : OwnedCodeBlock
- OwnedHierarchicalCodeBlock() : OwnedHierarchicalCodeBlock
- ownerWidget() : ChildWidgetPlacement, PinPortBase, PortWidget